local physics = {
	gravity = 600,
	maxVel = 800
}

function physics:applyGravity(entity, dt)
	if entity.yVel then
		entity.yVel = entity.yVel + self.gravity * dt
		if entity.yVel > self.maxVel then entity.yVel = self.maxVel end
	end
end

function physics:update(entity, dt)
	local ny = entity.y + entity.yVel * dt

		if world:hasItem(entity) then
			local finalX, finalY, col, len = world:move(entity, entity.x, ny)
			if len > 0 then
				for i,v in ipairs(col) do
					if v.normal.y ~= 0 then
						entity.yVel = 0
					end
					entity.normal.y = v.normal.y
				end
			end
			entity.y = finalY
		end
end

return physics