local tile = {
	tile = {}
}

function tile:load()
	local width = math.floor(tileSheet:getWidth() / assetSize)
	local height = math.floor(tileSheet:getHeight() / assetSize)
	for y=1, height do
		for x=1, width do
			self.tile[x * y] = love.graphics.newQuad(assetSize * (x - 1), assetSize * (y - 1), assetSize, assetSize, tileSheet:getWidth(), tileSheet:getHeight())
		end
	end
end

function tile:getQuad(id)
	if self.tile[id] then return self.tile[id] end
end

function tile:draw(id, x, y, line)
	if id then
		line = line or false
		--[[
		love.graphics.setBlendMode("alpha")
		if id == 3 then
			love.graphics.setBlendMode("additive")
		end
		]]
		love.graphics.draw(tileSheet, self.tile[id], x, y, 0, tileSize / assetSize, tileSize / assetSize)

		--Outline
		if line then
			local px = scale / 2
			if line.top then
				love.graphics.line(x, y + px, x + tileSize, y + px)
			end
			--[[
			if line.bottom then
				love.graphics.line(x, y + tileSize - px, x + tileSize, y + tileSize - px)
			end
			if line.left  then
				love.graphics.line(x + px, y, x + px, y + tileSize)
			end
			if line.right  then
				love.graphics.line(x + tileSize - px, y, x + tileSize - px, y + tileSize)
			end
			]]
		end
	end
	love.graphics.setBlendMode("alpha")
end

return tile