local coin = {}
local cm = {__index = coin}
	
function coin.spawn(x, y, id, param)
	local c = {
		id = id,
		tile = param.tile,
		x = x,
		y = y,
		t = 0,
		val = 0,
		pickup = true,
		collected = false,
		fadeTime = 0.5,
		timeout = 0.5,
		alpha = 1
	}

	if id % 2 > 0 then
		c.t = math.pi
	end

	world:add(c, c.x + (tileSize / 3), c.y + (tileSize / 3), math.floor(tileSize / 3), math.floor(tileSize / 3))

	return setmetatable(c, cm)
end

function coin:update(dt)
	self.t = self.t + 4 * dt
	if self.t > math.pi * 2 then self.t = 0 end
	self.val = math.sin(self.t)

	if self.collected then
		self.timeout = self.timeout - dt
		self.alpha = (1 / self.fadeTime) * self.timeout
		if self.timeout < 0 then
			entity:destroy(self.id)
			self.timeout = 0
		end
	end
end

function coin:draw()
	love.graphics.setColor(255, 255, 255, 255 * self.alpha)
	tile:draw(self.tile, self.x, (self.y + ((tileSize / 8) * self.val)) - ((tileSize * 2) * (1 - self.alpha)))
end

return coin